package com.prolog.cs.biz.inbound.dto.rqc;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 质检抽样表
 * @Author Xiong
 * @Date 2021-05-20
 */

@ApiModel
public class WmsInRqcSampleDTO implements Serializable {
	private static final long serialVersionUID = 8628302918869901483L;
	@ApiModelProperty(value = "抽检主键id(雪花)", required = true)
	private String rqcSampleId;

	@ApiModelProperty(value = "收货单头id", required = true, position = -1)
	private String rcvHeaderId;

	@ApiModelProperty(value = "收货行id", required = true, position = -1)
	private String rcvLineId;

	@ApiModelProperty(value = "质检行id")
	private String rqcLineId;

	@ApiModelProperty(value = "质检头id")
	private String rqcHeaderId;

	@ApiModelProperty(value = "货主id", required = true, position = -1)
	private String mtlOwnerId;

	@ApiModelProperty(value = "仓库id", required = true, position = -1)
	private String warehouseId;

	@ApiModelProperty(value = "来源单类型")
	private String srcBillType;

	@ApiModelProperty(value = "来源行id")
	private String srcLineId;

	@ApiModelProperty(value = "来源头id")
	private String srcHeaderId;

	@ApiModelProperty(value = "asn头id", required = true, position = -1)
	private String asnHeaderId;

	@ApiModelProperty(value = "asn行id", required = true, position = -1)
	private String asnLineId;

	@ApiModelProperty(value = "商品id", required = true, position = -1)
	private String itemId;

	@ApiModelProperty(value = "包装单位", required = true, position = -1)
	private String uom;

	@ApiModelProperty(value = "商品最小单位总数量--入库数量")
	private BigDecimal pieceQty;

	@ApiModelProperty(value = "包装含量")
	private BigDecimal conversionRate;

	@ApiModelProperty(value = "入库整件数(包装单位)")
	private BigDecimal oddCaseQty;

	@ApiModelProperty(value = "入库零散数")
	private BigDecimal oddPieceQty;

	@ApiModelProperty(value = "计划抽样整件数", required = true, position = -1)
	private BigDecimal qcOddCaseQty;

	@ApiModelProperty(value = "计划抽样零散数", required = true, position = -1)
	private BigDecimal qcOddPieceQty;

	@ApiModelProperty(value = "实际抽样整件数")
	private BigDecimal qcOddCaseActQty;

	@ApiModelProperty(value = "实际抽检零散")
	private BigDecimal qcOddPieceActQty;

	@ApiModelProperty(value = "到货数量")
	private BigDecimal isDhQty;

	@ApiModelProperty(value = "到货件数")
	private BigDecimal isDhCaseQty;

	@ApiModelProperty(value = "到货零散数")
	private BigDecimal isDhPieceQty;

	@ApiModelProperty(value = "当前入库单对应品批的已验收数量")
	private BigDecimal isRqcQty;

	@ApiModelProperty(value = "已抽检的质检件数")
	private BigDecimal isCjCaseQty;

	@ApiModelProperty(value = "已抽检的质检零散数")
	private BigDecimal isCjPieceQty;


	@ApiModelProperty(value = "备注说明")
	private String remark;

	@ApiModelProperty(value = "抽样时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date sampleDate;

	@ApiModelProperty(value = "批次号")
	private String batchNum;

	@ApiModelProperty(value = "批次id")
	private String batchId;

	@ApiModelProperty(value = "货主编号")
	private String mtlOwnerCode;

	@ApiModelProperty(value = "仓库编号")
	private String warehouseCode;

	@ApiModelProperty(value = "商品编号")
	private String itemCode;

	@ApiModelProperty(value = "抽样人")
	private String sampleBy;

	@ApiModelProperty(value = "货主名称(展示用)", position = 1)
	private String mtlOwnerName;

	@ApiModelProperty(value = "仓库名称(展示用)", position = 1)
	private String warehouseName;

	@ApiModelProperty(value = "商品名称(展示用)", position = 1)
	private String itemName;

	/** 质检任务池ID（来源RQC_TASK） **/
	@ApiModelProperty(value = "质检任务池ID（来源RQC_TASK）")
	private String taskRqcId;

	@ApiModelProperty(value = "商品批号")
	private String manufacturerLotNum;
	@ApiModelProperty(value = "(新)显示生产日期", position = -4)
	private String showProductionDate;
	@ApiModelProperty(value = "(新)显示有效期至", position = -4)
	private String showExpiredDate;
	@ApiModelProperty(value = "(新)商品规格", position = -4)
	private String specification;
	@ApiModelProperty(value = "(新)生产厂家名称", position = -4)
	private String manufacturerName;
	@ApiModelProperty(value = "商品产地", position = -4)
	private String productionPlace;
	@ApiModelProperty(value = "(新)受托生产企业名称", position = -4)
	private String delegationPartyName;
	@ApiModelProperty(value = "(新)是否受托生产(0否1是)", position = -4)
	private Integer isDelegate;
//	商品规格，生产厂家、产地、是否受托生产，受托生产企业，批准文号、上市许可持有人、批号，显示生产日期，显示有效期至，
	@ApiModelProperty(value = "(新)注册证号", position = -4)
	private String itemHealthRegisterNbr;
	@ApiModelProperty(value = "(新)商品批准文号", position = -4)
	private String approvalNumber;
	@ApiModelProperty(value = "(新)上市许可持有人", position = -4)
	private String itemHealthListedLicensor;
	@ApiModelProperty(value = "小数拆分标识(Y为允许,其他均不可)", position = -2)
	private String allowDecimal;

	public String getAllowDecimal() {
		return allowDecimal;
	}

	public void setAllowDecimal(String allowDecimal) {
		this.allowDecimal = allowDecimal;
	}

	public String getShowProductionDate() {
		return showProductionDate;
	}

	public void setShowProductionDate(String showProductionDate) {
		this.showProductionDate = showProductionDate;
	}

	public String getShowExpiredDate() {
		return showExpiredDate;
	}

	public void setShowExpiredDate(String showExpiredDate) {
		this.showExpiredDate = showExpiredDate;
	}

	public String getSpecification() {
		return specification;
	}

	public void setSpecification(String specification) {
		this.specification = specification;
	}

	public String getManufacturerName() {
		return manufacturerName;
	}

	public void setManufacturerName(String manufacturerName) {
		this.manufacturerName = manufacturerName;
	}

	public String getProductionPlace() {
		return productionPlace;
	}

	public void setProductionPlace(String productionPlace) {
		this.productionPlace = productionPlace;
	}

	public String getDelegationPartyName() {
		return delegationPartyName;
	}

	public void setDelegationPartyName(String delegationPartyName) {
		this.delegationPartyName = delegationPartyName;
	}

	public Integer getIsDelegate() {
		return isDelegate;
	}

	public void setIsDelegate(Integer isDelegate) {
		this.isDelegate = isDelegate;
	}

	public String getItemHealthRegisterNbr() {
		return itemHealthRegisterNbr;
	}

	public void setItemHealthRegisterNbr(String itemHealthRegisterNbr) {
		this.itemHealthRegisterNbr = itemHealthRegisterNbr;
	}

	public String getApprovalNumber() {
		return approvalNumber;
	}

	public void setApprovalNumber(String approvalNumber) {
		this.approvalNumber = approvalNumber;
	}

	public String getItemHealthListedLicensor() {
		return itemHealthListedLicensor;
	}

	public void setItemHealthListedLicensor(String itemHealthListedLicensor) {
		this.itemHealthListedLicensor = itemHealthListedLicensor;
	}

	public String getTaskRqcId() {
		return taskRqcId;
	}

	public void setTaskRqcId(String taskRqcId) {
		this.taskRqcId = taskRqcId;
	}

	public String getRqcSampleId() {
		return rqcSampleId;
	}

	public void setRqcSampleId(String rqcSampleId) {
		this.rqcSampleId = rqcSampleId;
	}

	public String getMtlOwnerName() {
		return mtlOwnerName;
	}

	public void setMtlOwnerName(String mtlOwnerName) {
		this.mtlOwnerName = mtlOwnerName;
	}

	public String getWarehouseName() {
		return warehouseName;
	}

	public void setWarehouseName(String warehouseName) {
		this.warehouseName = warehouseName;
	}

	public String getItemName() {
		return itemName;
	}

	public void setItemName(String itemName) {
		this.itemName = itemName;
	}

	public String getRcvHeaderId() {
		return this.rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getRcvLineId() {
		return this.rcvLineId;
	}

	public void setRcvLineId(String rcvLineId) {
		this.rcvLineId = rcvLineId;
	}

	public String getRqcLineId() {
		return this.rqcLineId;
	}

	public void setRqcLineId(String rqcLineId) {
		this.rqcLineId = rqcLineId;
	}

	public String getRqcHeaderId() {
		return this.rqcHeaderId;
	}

	public void setRqcHeaderId(String rqcHeaderId) {
		this.rqcHeaderId = rqcHeaderId;
	}

	public String getMtlOwnerId() {
		return this.mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public String getWarehouseId() {
		return this.warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getSrcBillType() {
		return this.srcBillType;
	}

	public void setSrcBillType(String srcBillType) {
		this.srcBillType = srcBillType;
	}

	public String getSrcLineId() {
		return this.srcLineId;
	}

	public void setSrcLineId(String srcLineId) {
		this.srcLineId = srcLineId;
	}

	public String getSrcHeaderId() {
		return this.srcHeaderId;
	}

	public void setSrcHeaderId(String srcHeaderId) {
		this.srcHeaderId = srcHeaderId;
	}

	public String getAsnHeaderId() {
		return this.asnHeaderId;
	}

	public void setAsnHeaderId(String asnHeaderId) {
		this.asnHeaderId = asnHeaderId;
	}

	public String getAsnLineId() {
		return this.asnLineId;
	}

	public void setAsnLineId(String asnLineId) {
		this.asnLineId = asnLineId;
	}

	public String getItemId() {
		return this.itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public String getBatchId() {
		return this.batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}

	public String getUom() {
		return this.uom;
	}

	public void setUom(String uom) {
		this.uom = uom;
	}

	public BigDecimal getPieceQty() {
		return this.pieceQty;
	}

	public void setPieceQty(BigDecimal pieceQty) {
		this.pieceQty = pieceQty;
	}

	public BigDecimal getConversionRate() {
		return this.conversionRate;
	}

	public void setConversionRate(BigDecimal conversionRate) {
		this.conversionRate = conversionRate;
	}

	public BigDecimal getOddCaseQty() {
		return this.oddCaseQty;
	}

	public void setOddCaseQty(BigDecimal oddCaseQty) {
		this.oddCaseQty = oddCaseQty;
	}

	public BigDecimal getOddPieceQty() {
		return this.oddPieceQty;
	}

	public void setOddPieceQty(BigDecimal oddPieceQty) {
		this.oddPieceQty = oddPieceQty;
	}

	public BigDecimal getQcOddCaseQty() {
		return this.qcOddCaseQty;
	}

	public void setQcOddCaseQty(BigDecimal qcOddCaseQty) {
		this.qcOddCaseQty = qcOddCaseQty;
	}

	public BigDecimal getQcOddPieceQty() {
		return this.qcOddPieceQty;
	}

	public void setQcOddPieceQty(BigDecimal qcOddPieceQty) {
		this.qcOddPieceQty = qcOddPieceQty;
	}

	public BigDecimal getQcOddCaseActQty() {
		return this.qcOddCaseActQty;
	}

	public void setQcOddCaseActQty(BigDecimal qcOddCaseActQty) {
		this.qcOddCaseActQty = qcOddCaseActQty;
	}

	public BigDecimal getQcOddPieceActQty() {
		return this.qcOddPieceActQty;
	}

	public void setQcOddPieceActQty(BigDecimal qcOddPieceActQty) {
		this.qcOddPieceActQty = qcOddPieceActQty;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Date getSampleDate() {
		return this.sampleDate;
	}

	public void setSampleDate(Date sampleDate) {
		this.sampleDate = sampleDate;
	}

	public String getBatchNum() {
		return this.batchNum;
	}

	public void setBatchNum(String batchNum) {
		this.batchNum = batchNum;
	}

	public String getMtlOwnerCode() {
		return this.mtlOwnerCode;
	}

	public void setMtlOwnerCode(String mtlOwnerCode) {
		this.mtlOwnerCode = mtlOwnerCode;
	}

	public String getWarehouseCode() {
		return this.warehouseCode;
	}

	public void setWarehouseCode(String warehouseCode) {
		this.warehouseCode = warehouseCode;
	}

	public String getItemCode() {
		return this.itemCode;
	}

	public void setItemCode(String itemCode) {
		this.itemCode = itemCode;
	}

	public String getManufacturerLotNum() {
		return this.manufacturerLotNum;
	}

	public void setManufacturerLotNum(String manufacturerLotNum) {
		this.manufacturerLotNum = manufacturerLotNum;
	}

	public String getSampleBy() {
		return this.sampleBy;
	}

	public void setSampleBy(String sampleBy) {
		this.sampleBy = sampleBy;
	}

	public BigDecimal getIsDhQty() {
		return isDhQty;
	}

	public void setIsDhQty(BigDecimal isDhQty) {
		this.isDhQty = isDhQty;
	}

	public BigDecimal getIsDhCaseQty() {
		return isDhCaseQty;
	}

	public void setIsDhCaseQty(BigDecimal isDhCaseQty) {
		this.isDhCaseQty = isDhCaseQty;
	}

	public BigDecimal getIsDhPieceQty() {
		return isDhPieceQty;
	}

	public void setIsDhPieceQty(BigDecimal isDhPieceQty) {
		this.isDhPieceQty = isDhPieceQty;
	}

	public BigDecimal getIsRqcQty() {
		return isRqcQty;
	}

	public void setIsRqcQty(BigDecimal isRqcQty) {
		this.isRqcQty = isRqcQty;
	}

	public BigDecimal getIsCjCaseQty() {
		return isCjCaseQty;
	}

	public void setIsCjCaseQty(BigDecimal isCjCaseQty) {
		this.isCjCaseQty = isCjCaseQty;
	}

	public BigDecimal getIsCjPieceQty() {
		return isCjPieceQty;
	}

	public void setIsCjPieceQty(BigDecimal isCjPieceQty) {
		this.isCjPieceQty = isCjPieceQty;
	}
}
